﻿@model GameDistribution.Models.ADM_AdminsByIdResult

@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script src="~/Scripts/jquery-1.10.2.min.js"></script>

<div class="column" style="width:200px !important; margin-top:-15px;">
    @*<h4 style="margin-bottom:2px">@Model.Name</h4>*@
    @using (Html.BeginForm("Edit", "Account"))
    {
        <div asp-validation-summary="All"></div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.Name)
            @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.Lastname)
            @Html.EditorFor(model => model.Lastname, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.Lastname, "", new { @class = "text-danger" })
        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.Email)
            @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
        </div>
        <div style="margin-top:15px;">
            @Html.LabelFor(model => model.Active)
            @Html.EditorFor(model => model.Active, new { htmlAttributes = new { @class = "form-control", required = "required" } })
            @Html.ValidationMessageFor(model => model.Active, "", new { @class = "text-danger" })
        </div>
        <div style="margin-top:15px;">
            @Html.Label("Role")
            @Html.DropDownList("Roles")
        </div>

        @Html.HiddenFor(model => model.Id)
        @Html.HiddenFor(model => model.RoleId)
        <div style="margin-top:15px;">
            <button type="submit" class="button active" style="text-align:center">Save</button>
        </div>
    }
</div>

<script>
    $(function () {
        $('input[type=text]').attr('autocomplete', 'off');
    });
</script>